RpfProductInfo (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bbn.openmap.layer.rpf
Enum RpfProductInfo

    java.lang.Object
      java.lang.Enum<RpfProductInfo>
          com.bbn.openmap.layer.rpf.RpfProductInfo

All Implemented Interfaces:
  RpfConstants, java.io.Serializable, java.lang.Comparable<RpfProductInfo>

    public enum RpfProductInfo

extends java.lang.Enum<RpfProductInfo>
implements RpfConstants

Contains basic information about the different map and imagery types supported by the RPF format. This information is based on the specification released by NIMA and contains the conventions they have listed in the RPF specification.

Enum Constant Summary
`A1`
`A2`
`A3`
`A4`
`AT`
`C1`
`C2`
`C3`
`C4`
`C5`
`C6`
`C7`
`C8`
`C9`
`CA`
`CB`
`CC`
`CD`
`CE`
`CF`
`CG`
`CH`
`CJ`
`CK`
`CL`
`CM`
`CN`
`CO`
`CP`
`CQ`
`CR`
`CS`
`CT`
`D1`
`D2`
`DT`
`EG` New as of MIL-STD-2411-1 Change 3
`ES`
`ET`
`F1`
`F2`
`F3`
`F4`
`F5`
`GN`
`HA`
`I1`
`I2`
`I3`
`I4`
`I5`
`IM`
`IV`
`JA`
`JG`
`JN`
`JO`
`JR`
`K1`
`K2`
`K3`
`K7`
`K8`
`KB`
`KE`
`KM`
`KR`
`KS`
`KU`
`L1`
`L2`
`L3`
`L4`
`L5`
`LF`
`LG`
`LN`
`M1`
`M2`
`MH`
`MI`
`MJ`
`MM`
`OA`
`OH`
`OI`
`ON`
`OV`
`OW`
`P1`
`P2`
`P3`
`P4`
`P5`
`P6`
`P7`
`P8`
`P9`
`PA`
`PB`
`PC`
`PD`
`PE`
`PF`
`PG`
`PH`
`PI`
`PJ`
`PK`
`PL`
`PM`
`PN`
`PO`
`PP`
`PQ`
`PR`
`PS`
`PT`
`PU`
`PV`
`R1`
`R2`
`R3`
`R4`
`R5`
`RC`
`RL`
`RR`
`RV`
`TC`
`TF`
`TL`
`TN`
`TP`
`TQ`
`TR`
`TT`
`UK`
`UL`
`V1`
`V2`
`V3`
`V4`
`VH`
`VN`
`VT`
`WA`
`WB`
`WC`
`WD`
`WE`
`WF`
`WG`
`WH`
`WI`
`WK`
`XD`
`XE`
`XF`
`XG`
`XH`
`XI`
`XJ`
`XK`
`Y9`
`YA`
`YB`
`YC`
`YD`
`YE`
`YF`
`YI`
`YJ`
`YZ`
`Z8`
`ZA`
`ZB`
`ZC`
`ZD`
`ZE`
`ZF`
`ZG`
`ZH`
`ZI`
`ZJ`
`ZK`
`ZT`
`ZV`
`ZZ`

Field Summary
`java.lang.String` | `abbr` The three-letter common abbreviation for the map type.
`java.lang.String` | `dataType` The category of the map type - CADRG/CIB/DTED.
`java.lang.String` | `name` A Descriptive name for the map type.
`float` | `scale` The float number representation of the map type - 1:XXX .
`java.lang.String` | `scaleString` A String scale representation of the map type.
`java.lang.String` | `seriesCode` The two-letter code for a particular map type.

Fields inherited from interface com.bbn.openmap.layer.rpf.RpfConstants
`AutoFetchAttributeProperty, AuxCacheSizeProperty, BLANK, CacheSizeProperty, CADRG, CDTED, ChartSeriesProperty, CIB, CITYGRAPHICS, ColormodelProperty, ColorProperty, CoverageProperty, DefaultRPFCoveragePrefix, FillProperty, ImageScaleFactorProperty, KillCacheProperty, lockedButtonTitle, lockSeriesCommand, NumColorsProperty, OpaquenessProperty, RpfPathsProperty, ScaleImagesProperty, ScaleOverCoverageProperty, showCGCommand, showCoverageCommand, ShowCoverageProperty, showInfoCommand, ShowInfoProperty, showMapsCommand, ShowMapsProperty, TOPOLINEMAP, unlockedButtonTitle, Various, VARIOUS`

Method Summary
`static RpfProductInfo` | `get(java.lang.String seriesCode)` Returns the RpfProductInfo that has the given two-letter series code.
`static void` | `main(java.lang.String[] argv)` The main function prints out the RPF catalog, describing all the different map types handled by the RPF package.
`java.lang.String` | `toString()`
`static RpfProductInfo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RpfProductInfo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GN

    public static final RpfProductInfo GN

### JN

    public static final RpfProductInfo JN

### ON

    public static final RpfProductInfo ON

### TP

    public static final RpfProductInfo TP

### LF

    public static final RpfProductInfo LF

### JG

    public static final RpfProductInfo JG

### JA

    public static final RpfProductInfo JA

### JR

    public static final RpfProductInfo JR

### TF

    public static final RpfProductInfo TF

### AT

    public static final RpfProductInfo AT

### TC

    public static final RpfProductInfo TC

### TL

    public static final RpfProductInfo TL

### TT

    public static final RpfProductInfo TT

### TQ

    public static final RpfProductInfo TQ

### HA

    public static final RpfProductInfo HA

### CO

    public static final RpfProductInfo CO

### OA

    public static final RpfProductInfo OA

### CG

    public static final RpfProductInfo CG

### C1

    public static final RpfProductInfo C1

### C2

    public static final RpfProductInfo C2

### C3

    public static final RpfProductInfo C3

### C4

    public static final RpfProductInfo C4

### C5

    public static final RpfProductInfo C5

### C6

    public static final RpfProductInfo C6

### C7

    public static final RpfProductInfo C7

### C8

    public static final RpfProductInfo C8

### C9

    public static final RpfProductInfo C9

### CA

    public static final RpfProductInfo CA

### CB

    public static final RpfProductInfo CB

### CC

    public static final RpfProductInfo CC

### CD

    public static final RpfProductInfo CD

### CE

    public static final RpfProductInfo CE

### CF

    public static final RpfProductInfo CF

### CH

    public static final RpfProductInfo CH

### CJ

    public static final RpfProductInfo CJ

### CK

    public static final RpfProductInfo CK

### CL

    public static final RpfProductInfo CL

### CN

    public static final RpfProductInfo CN

### CP

    public static final RpfProductInfo CP

### CQ

    public static final RpfProductInfo CQ

### CR

    public static final RpfProductInfo CR

### CS

    public static final RpfProductInfo CS

### CT

    public static final RpfProductInfo CT

### CM

    public static final RpfProductInfo CM

### A1

    public static final RpfProductInfo A1

### A2

    public static final RpfProductInfo A2

### A3

    public static final RpfProductInfo A3

### A4

    public static final RpfProductInfo A4

### MM

    public static final RpfProductInfo MM

### IM

    public static final RpfProductInfo IM

### I1

    public static final RpfProductInfo I1

### I2

    public static final RpfProductInfo I2

### I3

    public static final RpfProductInfo I3

### I4

    public static final RpfProductInfo I4

### D1

    public static final RpfProductInfo D1

### D2

    public static final RpfProductInfo D2

### OV

    public static final RpfProductInfo OV

### OI

    public static final RpfProductInfo OI

### LG

    public static final RpfProductInfo LG

### UK

    public static final RpfProductInfo UK

### DT

    public static final RpfProductInfo DT

### EG

    public static final RpfProductInfo EG

  New as of MIL-STD-2411-1 Change 3

### ES

    public static final RpfProductInfo ES

### ET

    public static final RpfProductInfo ET

### F1

    public static final RpfProductInfo F1

### F2

    public static final RpfProductInfo F2

### F3

    public static final RpfProductInfo F3

### F4

    public static final RpfProductInfo F4

### F5

    public static final RpfProductInfo F5

### I5

    public static final RpfProductInfo I5

### IV

    public static final RpfProductInfo IV

### JO

    public static final RpfProductInfo JO

### K1

    public static final RpfProductInfo K1

### K2

    public static final RpfProductInfo K2

### K3

    public static final RpfProductInfo K3

### K7

    public static final RpfProductInfo K7

### K8

    public static final RpfProductInfo K8

### KB

    public static final RpfProductInfo KB

### KE

    public static final RpfProductInfo KE

### KM

    public static final RpfProductInfo KM

### KR

    public static final RpfProductInfo KR

### KS

    public static final RpfProductInfo KS

### KU

    public static final RpfProductInfo KU

### L1

    public static final RpfProductInfo L1

### L2

    public static final RpfProductInfo L2

### L3

    public static final RpfProductInfo L3

### L4

    public static final RpfProductInfo L4

### L5

    public static final RpfProductInfo L5

### LN

    public static final RpfProductInfo LN

### M1

    public static final RpfProductInfo M1

### M2

    public static final RpfProductInfo M2

### MH

    public static final RpfProductInfo MH

### MI

    public static final RpfProductInfo MI

### MJ

    public static final RpfProductInfo MJ

### OH

    public static final RpfProductInfo OH

### OW

    public static final RpfProductInfo OW

### P1

    public static final RpfProductInfo P1

### P2

    public static final RpfProductInfo P2

### P3

    public static final RpfProductInfo P3

### P4

    public static final RpfProductInfo P4

### P5

    public static final RpfProductInfo P5

### P6

    public static final RpfProductInfo P6

### P7

    public static final RpfProductInfo P7

### P8

    public static final RpfProductInfo P8

### P9

    public static final RpfProductInfo P9

### PA

    public static final RpfProductInfo PA

### PB

    public static final RpfProductInfo PB

### PC

    public static final RpfProductInfo PC

### PD

    public static final RpfProductInfo PD

### PE

    public static final RpfProductInfo PE

### PF

    public static final RpfProductInfo PF

### PG

    public static final RpfProductInfo PG

### PH

    public static final RpfProductInfo PH

### PI

    public static final RpfProductInfo PI

### PJ

    public static final RpfProductInfo PJ

### PK

    public static final RpfProductInfo PK

### PL

    public static final RpfProductInfo PL

### PM

    public static final RpfProductInfo PM

### PN

    public static final RpfProductInfo PN

### PO

    public static final RpfProductInfo PO

### PP

    public static final RpfProductInfo PP

### PQ

    public static final RpfProductInfo PQ

### PR

    public static final RpfProductInfo PR

### PS

    public static final RpfProductInfo PS

### PT

    public static final RpfProductInfo PT

### PU

    public static final RpfProductInfo PU

### PV

    public static final RpfProductInfo PV

### R1

    public static final RpfProductInfo R1

### R2

    public static final RpfProductInfo R2

### R3

    public static final RpfProductInfo R3

### R4

    public static final RpfProductInfo R4

### R5

    public static final RpfProductInfo R5

### RC

    public static final RpfProductInfo RC

### RL

    public static final RpfProductInfo RL

### RR

    public static final RpfProductInfo RR

### RV

    public static final RpfProductInfo RV

### TN

    public static final RpfProductInfo TN

### TR

    public static final RpfProductInfo TR

### UL

    public static final RpfProductInfo UL

### V1

    public static final RpfProductInfo V1

### V2

    public static final RpfProductInfo V2

### V3

    public static final RpfProductInfo V3

### V4

    public static final RpfProductInfo V4

### VH

    public static final RpfProductInfo VH

### VN

    public static final RpfProductInfo VN

### VT

    public static final RpfProductInfo VT

### WA

    public static final RpfProductInfo WA

### WB

    public static final RpfProductInfo WB

### WC

    public static final RpfProductInfo WC

### WD

    public static final RpfProductInfo WD

### WE

    public static final RpfProductInfo WE

### WF

    public static final RpfProductInfo WF

### WG

    public static final RpfProductInfo WG

### WH

    public static final RpfProductInfo WH

### WI

    public static final RpfProductInfo WI

### WK

    public static final RpfProductInfo WK

### XD

    public static final RpfProductInfo XD

### XE

    public static final RpfProductInfo XE

### XF

    public static final RpfProductInfo XF

### XG

    public static final RpfProductInfo XG

### XH

    public static final RpfProductInfo XH

### XI

    public static final RpfProductInfo XI

### XJ

    public static final RpfProductInfo XJ

### XK

    public static final RpfProductInfo XK

### Y9

    public static final RpfProductInfo Y9

### YA

    public static final RpfProductInfo YA

### YB

    public static final RpfProductInfo YB

### YC

    public static final RpfProductInfo YC

### YD

    public static final RpfProductInfo YD

### YE

    public static final RpfProductInfo YE

### YF

    public static final RpfProductInfo YF

### YI

    public static final RpfProductInfo YI

### YJ

    public static final RpfProductInfo YJ

### YZ

    public static final RpfProductInfo YZ

### Z8

    public static final RpfProductInfo Z8

### ZA

    public static final RpfProductInfo ZA

### ZB

    public static final RpfProductInfo ZB

### ZC

    public static final RpfProductInfo ZC

### ZD

    public static final RpfProductInfo ZD

### ZE

    public static final RpfProductInfo ZE

### ZF

    public static final RpfProductInfo ZF

### ZG

    public static final RpfProductInfo ZG

### ZH

    public static final RpfProductInfo ZH

### ZI

    public static final RpfProductInfo ZI

### ZJ

    public static final RpfProductInfo ZJ

### ZK

    public static final RpfProductInfo ZK

### ZT

    public static final RpfProductInfo ZT

### ZV

    public static final RpfProductInfo ZV

### ZZ

    public static final RpfProductInfo ZZ

Field Detail

### seriesCode

    public final java.lang.String seriesCode

  The two-letter code for a particular map type.

### abbr

    public final java.lang.String abbr

  The three-letter common abbreviation for the map type.

### scaleString

    public final java.lang.String scaleString

  A String scale representation of the map type.

### scale

    public final float scale

  The float number representation of the map type - 1:XXX .

### name

    public final java.lang.String name

  A Descriptive name for the map type.

### dataType

    public final java.lang.String dataType

  The category of the map type - CADRG/CIB/DTED.

Method Detail

### values

    public static RpfProductInfo[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RpfProductInfo c : RpfProductInfo.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RpfProductInfo valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<RpfProductInfo>`

### get

    public static RpfProductInfo get(java.lang.String seriesCode)

  Returns the RpfProductInfo that has the given two-letter series code. If the code passed in is not recognized by the catalog, the UNKNOWN RpfProductInfo is returned.

  Parameters:
    `seriesCode` - needs to be the two letter code, in uppercase.

### main

    public static void main(java.lang.String[] argv)

  The main function prints out the RPF catalog, describing all the different map types handled by the RPF package.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details